org.apache.tomcat.util.modeler.modules

## Class ModelerSource

- java.lang.Object
- - org.apache.tomcat.util.modeler.modules.ModelerSource

- Direct Known Subclasses:
    MbeansDescriptorsDigesterSource, MbeansDescriptorsDOMSource, MbeansDescriptorsIntrospectionSource, MbeansDescriptorsSerSource, MbeansSource

      public abstract class ModelerSource
      extends Object

  Source for descriptor data. More sources can be added.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `location` Deprecated.
    `protected Object` | `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelerSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InputStream` | `getInputStream()` Deprecated. Unused - will be removed in Tomcat 8.0.x
    `abstract List<ObjectName>` | `loadDescriptors(Registry registry, String type, Object source)`
    `List<ObjectName>` | `loadDescriptors(Registry registry, String location, String type, Object source)` Deprecated. Location parameter is unused. Will be removed in Tomcat 8.0.x
    `void` | `store()` Deprecated. Unused - will be removed in Tomcat 8.0.x
    `void` | `updateField(ObjectName oname, String name, Object value)` Deprecated. Unused - will be removed in Tomcat 8.0.x

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### source

          protected Object source

    - #### location

          @Deprecated
          protected String location

      Deprecated.

  - ### Constructor Detail

    - #### ModelerSource

          public ModelerSource()

  - ### Method Detail

    - #### loadDescriptors

          @Deprecated
          public List<ObjectName> loadDescriptors(Registry registry,
                                                    String location,
                                                    String type,
                                                    Object source)
                                           throws Exception

      Deprecated. Location parameter is unused. Will be removed in Tomcat 8.0.x
      Load data, returns a list of items.
      Parameters:
        `registry` -
        `location` -
        `type` -
        `source` - Introspected object or some other source
      Throws:
        `Exception`

    - #### updateField

          @Deprecated
          public void updateField(ObjectName oname,
                                    String name,
                                    Object value)

      Deprecated. Unused - will be removed in Tomcat 8.0.x
      Callback from the BaseMBean to notify that an attribute has changed. Can be used to implement persistence.
      Parameters:
        `oname` -
        `name` -
        `value` -

    - #### store

          @Deprecated
          public void store()

      Deprecated. Unused - will be removed in Tomcat 8.0.x

    - #### getInputStream

          @Deprecated
          protected InputStream getInputStream()
                                        throws IOException

      Deprecated. Unused - will be removed in Tomcat 8.0.x
      Throws:
        `IOException`

    - #### loadDescriptors

          public abstract List<ObjectName> loadDescriptors(Registry registry,
                                         String type,
                                         Object source)
                                                    throws Exception

      Throws:
        `Exception`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.